Subject: bug#14086: 24.3.50; `substitute-command-keys': inappropriate "(that binding is currently shadowed by another mode)"

From: Drew Adams <[email-masked]>
Date: Mon, 5 Oct 2020 09:40:36 -0700 (PDT)

> > When I go to the URL you provided I don't recognize anything
> > that has anything to do with this bug.  I certainly don't
> > see "Make shadowing warning in describe_map less confusing".
> >
> > What am I missing?
> 
> You are missing the correct id.  That's because I accidentally copied
> the id of the parent commit, my fault, sorry.
> 
> The correct commit id is "764bad713e", so here you go:
> 
> https://urldefense.com/v3/__https://git.savannah.gnu.org/cgit/emacs.git/commi
> t/?id=764bad713e__;!!GqivPVa7Brio!LRyBzbGQgePdEC581vAw7oEXMplMN-
> 6oGif6U9_pUeV9E-UD8FDilGMjYXUjd4dq$

Thanks, Michael.
___

The fix doesn't fix the problem at all, unfortunately.
At least it removes mention of "mode".  It doesn't make
clear what shadowing is or what shadows that binding.

Presumably it's shadowed by a binding in a descendant
(e.g. child) keymap.  (Is that the only possibility?)
If so, it should at least say that.

But I've said more about what I think a real fix should
be in previous messages.

> This interface really doesn't look bad, you can even search commit
> messages of the whole repository, and the result appears much faster
> than on my local computer.

I don't understand.  What interface?

Did you mean that GIT index: emacs.git web page?
If so, how to use it?  I tried inserting 764bad713e
into the search field and got nothing.  See attached
screenshot.